<?xml version="1.0" encoding="UTF-8"?>
<inkscape-extension xmlns="http://www.inkscape.org/namespace/inkscape/extension">
  <name>HPGL Output</name>
  <id>org.ekips.output.hpgl_output</id>
  <dependency type="extension">org.inkscape.output.svg.inkscape</dependency>
  <dependency type="file" location="inx">hpgl_encoder.py</dependency>
  <label>Please make sure that all objects you want to save are converted to paths. Please use the plotter extension (Extensions menu) to plot directly over a serial connection.</label>
  <param name="tab" type="notebook">
    <page name="plotter" gui-text="Plotter Settings">
      <param name="resolutionX" type="float" min="1.0" max="4096.0" precision="1" gui-text="Resolution X (dpi):" gui-description="The amount of steps the plotter moves if it moves for 1 inch on the X axis (Default: 1016.0)">1016.0</param>
      <param name="resolutionY" type="float" min="1.0" max="4096.0" precision="1" gui-text="Resolution Y (dpi):" gui-description="The amount of steps the plotter moves if it moves for 1 inch on the Y axis (Default: 1016.0)">1016.0</param>
      <param name="pen" type="int" min="0" max="99" gui-text="Pen number:" gui-description="The number of the pen (tool) to use (Standard: '1')Can be defined in the layer name. eg. (Pen 1)">1</param>
      <param name="force" type="int" min="0" max="1000" gui-text="Pen force (g):" gui-description="The amount of force pushing down the pen in grams, set to 0 to omit command; most plotters ignore this command (Default: 0)">0</param>
      <param name="speed" type="int" min="0" max="10000" gui-text="Pen speed (cm/s or mm/s):" gui-description="The speed the pen will move with in centimeters or millimeters per second (depending on your plotter model), set to 0 to omit command; most plotters ignore this command (Default: 0)Can be defined in the layer name together with the pen number. eg. (Pen3 Speed10)">0</param>
      <param name="orientation" type="optiongroup" appearance="combo" gui-text="Rotation (°, Clockwise):" gui-description="Rotation of the drawing (Default: 0°)">
        <option translatable="no" value="0">0</option>
        <option translatable="no" value="90">90</option>
        <option translatable="no" value="180">180</option>
        <option translatable="no" value="270">270</option>
      </param>
      <param name="mirrorX" type="bool" gui-text="Mirror X axis" gui-description="Check this to mirror the X axis (Default: Unchecked)">false</param>
      <param name="mirrorY" type="bool" gui-text="Mirror Y axis" gui-description="Check this to mirror the Y axis (Default: Unchecked)">false</param>
      <param name="center" type="bool" gui-text="Center zero point" gui-description="Check this if your plotter uses a centered zero point (Default: Unchecked)">false</param>
      <spacer/>
      <label>If you want to use multiple pens and speeds on your pen plotter create one layer for each pen, name the layers "Pen1 Speed10", "Pen2", etc., and put your drawings in the corresponding layers. This overrules the pen number and speed value from the menu option above.</label>
    </page>
    <page name="overcutToolOffset" gui-text="Plot Features">
      <param name="overcut" type="float" min="0.0" max="100.0" precision="2" gui-text="Overcut (mm):" gui-description="The distance in mm that will be cut over the starting point of the path to prevent open paths, set to 0.0 to omit command (Default: 1.00)">1.00</param>
      <param name="toolOffset" type="float" min="0.0" max="20.0" precision="2" gui-text="Tool (Knife) offset correction (mm):" gui-description="The offset from the tool tip to the tool axis in mm, set to 0.0 to omit command (Default: 0.25)">0.25</param>
      <param name="precut" type="bool" gui-text="Precut" gui-description="Check this to cut a small line before the real drawing starts to correctly align the tool orientation. (Default: Checked)">true</param>
      <param name="flat" type="float" min="0.1" max="10.0" precision="1" gui-text="Curve flatness:" gui-description="Curves are divided into lines, this number controls how fine the curves will be reproduced, the smaller the finer (Default: '1.2')">1.2</param>
      <param name="autoAlign" type="bool" gui-text="Auto align" gui-description="Check this to auto align the drawing to the zero point (Plus the tool offset if used). If unchecked you have to make sure that all parts of your drawing are within the document border! (Default: Checked)">true</param>
    </page>
  </param>
  <label>All these settings depend on the plotter you use, for more information please consult the manual or homepage for your plotter.</label>
  <output>
    <extension>.hpgl</extension>
    <mimetype>image/hpgl</mimetype>
    <filetypename>HP Graphics Language file (*.hpgl)</filetypename>
    <filetypetooltip>Export an HP Graphics Language file</filetypetooltip>
    <dataloss>true</dataloss>
  </output>
  <script>
      <command location="inx" interpreter="python">hpgl_output.py</command>
  </script>
</inkscape-extension>
